Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.attributeSelection
Class SymmetricalUncertAttributeEval

    java.lang.Object
      weka.attributeSelection.ASEvaluation
          weka.attributeSelection.AttributeEvaluator
              weka.attributeSelection.SymmetricalUncertAttributeEval

All Implemented Interfaces:
  java.io.Serializable, OptionHandler

    public class SymmetricalUncertAttributeEval

extends AttributeEvaluator
implements OptionHandler

Class for Evaluating attributes individually by measuring symmetrical uncertainty with respect to the class. Valid options are:

-M
Treat missing values as a seperate value.

Version:
  $Revision: 1.15.2.1 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`SymmetricalUncertAttributeEval()` Constructor

Method Summary
`void` | `buildEvaluator(Instances data)` Initializes a symmetrical uncertainty attribute evaluator.
`double` | `evaluateAttribute(int attribute)` evaluates an individual attribute by measuring the symmetrical uncertainty between it and the class.
`boolean` | `getMissingMerge()` get whether missing values are being distributed or not
`java.lang.String[]` | `getOptions()` Gets the current settings of WrapperSubsetEval.
`java.lang.String` | `globalInfo()` Returns a string describing this attribute evaluator
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`static void` | `main(java.lang.String[] argv)` Main method for testing this class.
`java.lang.String` | `missingMergeTipText()` Returns the tip text for this property
`void` | `setMissingMerge(boolean b)` distribute the counts for missing values across observed values
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`java.lang.String` | `toString()` Return a description of the evaluator

Methods inherited from class weka.attributeSelection.ASEvaluation
`forName, makeCopies, postProcess`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SymmetricalUncertAttributeEval

    public SymmetricalUncertAttributeEval()

  Constructor

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing this attribute evaluator

  Returns:
    a description of the evaluator suitable for displaying in the explorer/experimenter gui

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. -M
  Treat missing values as a seperate value.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### missingMergeTipText

    public java.lang.String missingMergeTipText()

  Returns the tip text for this property

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

### setMissingMerge

    public void setMissingMerge(boolean b)

  distribute the counts for missing values across observed values

  Parameters:
    `b` - true=distribute missing values.

### getMissingMerge

    public boolean getMissingMerge()

  get whether missing values are being distributed or not

  Returns:
    true if missing values are being distributed.

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of WrapperSubsetEval.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Returns:
    an array of strings suitable for passing to setOptions()

### buildEvaluator

    public void buildEvaluator(Instances data)
                        throws java.lang.Exception

  Initializes a symmetrical uncertainty attribute evaluator. Discretizes all attributes that are numeric.

  Specified by:
    `buildEvaluator` in class `ASEvaluation`
  Parameters:
    `data` - set of instances serving as training data
  Throws:
    `java.lang.Exception` - if the evaluator has not been generated successfully

### evaluateAttribute

    public double evaluateAttribute(int attribute)
                             throws java.lang.Exception

  evaluates an individual attribute by measuring the symmetrical uncertainty between it and the class.

  Specified by:
    `evaluateAttribute` in class `AttributeEvaluator`
  Parameters:
    `attribute` - the index of the attribute to be evaluated
  Returns:
    the "merit" of the attribute
  Throws:
    `java.lang.Exception` - if the attribute could not be evaluated

### toString

    public java.lang.String toString()

  Return a description of the evaluator

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    description as a string

### main

    public static void main(java.lang.String[] argv)

  Main method for testing this class.

  Parameters:
    `argv` - should contain the following arguments: -t training file

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD